Bug 1521026 - [3.6] oc logs fails with unexpected stream type "" [NEEDINFO]
Summary: [3.6] oc logs fails with unexpected stream type ""
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.6.z
Assignee: Seth Jennings
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On: 1503458
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-05 16:14 UTC by Seth Jennings
Modified: 2018-01-23 17:59 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixes issue where "oc logs" exits with error "unexpected stream type".
Clone Of: 1503458
Environment:
Last Closed: 2018-01-23 17:59:00 UTC
Target Upstream Version:
bmchugh: needinfo? (dma)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0113 normal SHIPPED_LIVE OpenShift Container Platform 3.7 and 3.6 bug fix and enhancement update 2018-01-23 22:55:59 UTC

Comment 3 Xiaoli Tian 2017-12-13 03:06:26 UTC
Move it to ON_QA to test as the fix has been built in latest 3.6.z build at least.

Comment 4 DeShuai Ma 2017-12-13 07:25:17 UTC
Verify on v3.6.173.0.83
oc logs can get pod logs successfully and no error.

Comment 8 errata-xmlrpc 2018-01-23 17:59:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0113


Note You need to log in before you can comment on or make changes to this bug.